Package org.drinkless.tdlib

# Class TdApi.UpdateNewCustomQuery

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateNewCustomQuery

Enclosing class:
  TdApi

public static class TdApi.UpdateNewCustomQuery extends TdApi.Update
A new incoming query; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `data`
  JSON-serialized query data.
  `long`
  `id`
  The query identifier.
  `int`
  `timeout`
  Query timeout.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateNewCustomQuery()`
  A new incoming query; for bots only.
  `UpdateNewCustomQuery(long id, String data, int timeout)`
  A new incoming query; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    The query identifier.

  - ### data

    public String data
    JSON-serialized query data.

  - ### timeout

    public int timeout
    Query timeout.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateNewCustomQuery

    public UpdateNewCustomQuery()
    A new incoming query; for bots only.

  - ### UpdateNewCustomQuery

    public UpdateNewCustomQuery(long id, String data, int timeout)
    A new incoming query; for bots only.
    Parameters:
      `id` - The query identifier.
      `data` - JSON-serialized query data.
      `timeout` - Query timeout.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR